# Uses of Class
org.apache.sysds.runtime.data.TensorBlock

Packages that use TensorBlock
Package
Description
org.apache.sysds.runtime.controlprogram.context
org.apache.sysds.runtime.data
org.apache.sysds.runtime.instructions.spark
org.apache.sysds.runtime.instructions.spark.functions
org.apache.sysds.runtime.instructions.spark.utils
org.apache.sysds.runtime.io
org.apache.sysds.runtime.util

## Uses of TensorBlock in org.apache.sysds.runtime.controlprogram.context

Methods in org.apache.sysds.runtime.controlprogram.context that return TensorBlock
Modifier and Type
Method
Description
`TensorBlock`
ExecutionContext.`getTensorInput(String varName)`
Pins a matrix variable into memory and returns the internal matrix block.
`static TensorBlock`
SparkExecutionContext.`toTensorBlock(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock> rdd, DataCharacteristics dc)`
Methods in org.apache.sysds.runtime.controlprogram.context that return types with arguments of type TensorBlock
Modifier and Type
Method
Description
`org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock>`
SparkExecutionContext.`getBinaryTensorBlockRDDHandleForVariable(String varname)`
Spark instructions should call this for all tensor inputs except broadcast variables.
`org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock>`
SparkExecutionContext.`getBinaryTensorBlockRDDHandleForVariable(String varname, int numParts, boolean inclEmpty)`
`PartitionedBroadcast<TensorBlock>`
SparkExecutionContext.`getBroadcastForTensorObject(TensorObject to)`
`PartitionedBroadcast<TensorBlock>`
SparkExecutionContext.`getBroadcastForTensorVariable(String varname)`
`static org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock>`
SparkExecutionContext.`toTensorJavaPairRDD(org.apache.spark.api.java.JavaSparkContext sc, TensorBlock src, int blen)`
`static org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock>`
SparkExecutionContext.`toTensorJavaPairRDD(org.apache.spark.api.java.JavaSparkContext sc, TensorBlock src, int blen, int numParts, boolean inclEmpty)`
Methods in org.apache.sysds.runtime.controlprogram.context with parameters of type TensorBlock
Modifier and Type
Method
Description
`void`
ExecutionContext.`setTensorOutput(String varName, TensorBlock outputData)`
`static org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock>`
SparkExecutionContext.`toTensorJavaPairRDD(org.apache.spark.api.java.JavaSparkContext sc, TensorBlock src, int blen)`
`static org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock>`
SparkExecutionContext.`toTensorJavaPairRDD(org.apache.spark.api.java.JavaSparkContext sc, TensorBlock src, int blen, int numParts, boolean inclEmpty)`
Method parameters in org.apache.sysds.runtime.controlprogram.context with type arguments of type TensorBlock
Modifier and Type
Method
Description
`static TensorBlock`
SparkExecutionContext.`toTensorBlock(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock> rdd, DataCharacteristics dc)`

## Uses of TensorBlock in org.apache.sysds.runtime.data

Methods in org.apache.sysds.runtime.data that return TensorBlock
Modifier and Type
Method
Description
`TensorBlock`
TensorBlock.`allocateBlock()`
If data is not yet allocated, allocate.
`TensorBlock`
TensorBlock.`binaryOperations(BinaryOperator op, TensorBlock thatValue, TensorBlock result)`
`TensorBlock`
TensorBlock.`copy(int[] lower, int[] upper, TensorBlock src)`
Copy a part of another `TensorBlock`
`TensorBlock`
TensorBlock.`copy(TensorBlock src)`
`TensorBlock`
TensorBlock.`copyExact(int[] lower, int[] upper, TensorBlock src)`
Copy a part of another `TensorBlock`.
`TensorBlock`
IndexedTensorBlock.`getValue()`
`TensorBlock`
TensorBlock.`merge(TensorBlock that, boolean appendOnly)`
`TensorBlock`
TensorBlock.`slice(int[] offsets, TensorBlock outBlock)`
Slice the current block and write into the outBlock.
`final TensorBlock`
TensorBlock.`slice(int rl, int ru)`
`final TensorBlock`
TensorBlock.`slice(int rl, int ru, boolean deep)`
`final TensorBlock`
TensorBlock.`slice(int rl, int ru, int cl, int cu)`
`final TensorBlock`
TensorBlock.`slice(int rl, int ru, int cl, int cu, boolean deep)`
`TensorBlock`
TensorBlock.`slice(int rl, int ru, int cl, int cu, boolean deep, TensorBlock block)`
`final TensorBlock`
TensorBlock.`slice(int rl, int ru, int cl, int cu, TensorBlock ret)`
`final TensorBlock`
TensorBlock.`slice(IndexRange ixrange, TensorBlock ret)`
Methods in org.apache.sysds.runtime.data with parameters of type TensorBlock
Modifier and Type
Method
Description
`TensorBlock`
TensorBlock.`binaryOperations(BinaryOperator op, TensorBlock thatValue, TensorBlock result)`
`static void`
LibTensorBincell.`bincellOp(TensorBlock m1, TensorBlock m2, TensorBlock ret, BinaryOperator op)`
tensor-tensor binary operations
`TensorBlock`
TensorBlock.`copy(int[] lower, int[] upper, TensorBlock src)`
Copy a part of another `TensorBlock`
`TensorBlock`
TensorBlock.`copy(TensorBlock src)`
`TensorBlock`
TensorBlock.`copyExact(int[] lower, int[] upper, TensorBlock src)`
Copy a part of another `TensorBlock`.
`static boolean`
LibTensorBincell.`isValidDimensionsBinary(TensorBlock m1, TensorBlock m2)`
`TensorBlock`
TensorBlock.`merge(TensorBlock that, boolean appendOnly)`
`void`
IndexedTensorBlock.`set(TensorIndexes indexes2, TensorBlock block2)`
`TensorBlock`
TensorBlock.`slice(int[] offsets, TensorBlock outBlock)`
Slice the current block and write into the outBlock.
`TensorBlock`
TensorBlock.`slice(int rl, int ru, int cl, int cu, boolean deep, TensorBlock block)`
`final TensorBlock`
TensorBlock.`slice(int rl, int ru, int cl, int cu, TensorBlock ret)`
`final TensorBlock`
TensorBlock.`slice(IndexRange ixrange, TensorBlock ret)`
Constructors in org.apache.sysds.runtime.data with parameters of type TensorBlock
Modifier
Constructor
Description
``
`IndexedTensorBlock(TensorIndexes ind, TensorBlock b)`
``
`TensorBlock(TensorBlock that)`
Copy constructor

## Uses of TensorBlock in org.apache.sysds.runtime.instructions.spark

Methods in org.apache.sysds.runtime.instructions.spark that return TensorBlock
Modifier and Type
Method
Description
`TensorBlock`
AggregateUnarySPInstruction.RDDUTensorAggFunction2.`call(scala.Tuple2<TensorIndexes,TensorBlock> arg0)`
Method parameters in org.apache.sysds.runtime.instructions.spark with type arguments of type TensorBlock
Modifier and Type
Method
Description
`TensorBlock`
AggregateUnarySPInstruction.RDDUTensorAggFunction2.`call(scala.Tuple2<TensorIndexes,TensorBlock> arg0)`

## Uses of TensorBlock in org.apache.sysds.runtime.instructions.spark.functions

Methods in org.apache.sysds.runtime.instructions.spark.functions that return TensorBlock
Modifier and Type
Method
Description
`TensorBlock`
TensorTensorBinaryOpFunction.`call(scala.Tuple2<TensorBlock,TensorBlock> arg0)`
Methods in org.apache.sysds.runtime.instructions.spark.functions that return types with arguments of type TensorBlock
Modifier and Type
Method
Description
`Iterator<scala.Tuple2<TensorIndexes,TensorBlock>>`
ReblockTensorFunction.`call(scala.Tuple2<TensorIndexes,TensorBlock> arg0)`
`Iterator<scala.Tuple2<TensorIndexes,TensorBlock>>`
ReplicateTensorFunction.`call(scala.Tuple2<TensorIndexes,TensorBlock> arg0)`
`LazyIterableIterator<scala.Tuple2<TensorIndexes,TensorBlock>>`
TensorTensorBinaryOpPartitionFunction.`call(Iterator<scala.Tuple2<TensorIndexes,TensorBlock>> arg0)`
Method parameters in org.apache.sysds.runtime.instructions.spark.functions with type arguments of type TensorBlock
Modifier and Type
Method
Description
`Iterator<scala.Tuple2<TensorIndexes,TensorBlock>>`
ReblockTensorFunction.`call(scala.Tuple2<TensorIndexes,TensorBlock> arg0)`
`Iterator<scala.Tuple2<TensorIndexes,TensorBlock>>`
ReplicateTensorFunction.`call(scala.Tuple2<TensorIndexes,TensorBlock> arg0)`
`TensorBlock`
TensorTensorBinaryOpFunction.`call(scala.Tuple2<TensorBlock,TensorBlock> arg0)`
`TensorBlock`
TensorTensorBinaryOpFunction.`call(scala.Tuple2<TensorBlock,TensorBlock> arg0)`
`LazyIterableIterator<scala.Tuple2<TensorIndexes,TensorBlock>>`
TensorTensorBinaryOpPartitionFunction.`call(Iterator<scala.Tuple2<TensorIndexes,TensorBlock>> arg0)`
Constructor parameters in org.apache.sysds.runtime.instructions.spark.functions with type arguments of type TensorBlock
Modifier
Constructor
Description
``
`TensorTensorBinaryOpPartitionFunction(BinaryOperator op, PartitionedBroadcast<TensorBlock> binput, boolean[] replicateDim)`

## Uses of TensorBlock in org.apache.sysds.runtime.instructions.spark.utils

Methods in org.apache.sysds.runtime.instructions.spark.utils that return TensorBlock
Modifier and Type
Method
Description
`static TensorBlock`
RDDAggregateUtils.`aggStableTensor(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock> in, AggregateOperator aop)`
Single block aggregation over pair rdds with corrections for numerical stability.
`static TensorBlock`
RDDAggregateUtils.`aggStableTensor(org.apache.spark.api.java.JavaRDD<TensorBlock> in, AggregateOperator aop)`
Single block aggregation over rdds with corrections for numerical stability.
Methods in org.apache.sysds.runtime.instructions.spark.utils with parameters of type TensorBlock
Modifier and Type
Method
Description
`static IndexedTensorBlock`
SparkUtils.`toIndexedTensorBlock(TensorIndexes ix, TensorBlock mb)`
Method parameters in org.apache.sysds.runtime.instructions.spark.utils with type arguments of type TensorBlock
Modifier and Type
Method
Description
`static TensorBlock`
RDDAggregateUtils.`aggStableTensor(org.apache.spark.api.java.JavaPairRDD<TensorIndexes,TensorBlock> in, AggregateOperator aop)`
Single block aggregation over pair rdds with corrections for numerical stability.
`static TensorBlock`
RDDAggregateUtils.`aggStableTensor(org.apache.spark.api.java.JavaRDD<TensorBlock> in, AggregateOperator aop)`
Single block aggregation over rdds with corrections for numerical stability.
`static IndexedTensorBlock`
SparkUtils.`toIndexedTensorBlock(scala.Tuple2<TensorIndexes,TensorBlock> in)`

## Uses of TensorBlock in org.apache.sysds.runtime.io

Methods in org.apache.sysds.runtime.io that return TensorBlock
Modifier and Type
Method
Description
`abstract TensorBlock`
TensorReader.`readTensorFromHDFS(String fname, long[] dims, int blen, Types.ValueType[] schema)`
`TensorBlock`
TensorReaderBinaryBlock.`readTensorFromHDFS(String fname, long[] dims, int blen, Types.ValueType[] schema)`
`TensorBlock`
TensorReaderTextCell.`readTensorFromHDFS(String fname, long[] dims, int blen, Types.ValueType[] schema)`
Methods in org.apache.sysds.runtime.io with parameters of type TensorBlock
Modifier and Type
Method
Description
`abstract void`
TensorWriter.`writeTensorToHDFS(TensorBlock src, String fname, int blen)`
`void`
TensorWriterBinaryBlock.`writeTensorToHDFS(TensorBlock src, String fname, int blen)`
`void`
TensorWriterTextCell.`writeTensorToHDFS(TensorBlock src, String fname, int blen)`
Constructors in org.apache.sysds.runtime.io with parameters of type TensorBlock
Modifier
Constructor
Description
``
`WriteFileTask(org.apache.hadoop.fs.Path path, org.apache.hadoop.mapred.JobConf job, org.apache.hadoop.fs.FileSystem fs, TensorBlock src, long rl, long ru, int blen)`

## Uses of TensorBlock in org.apache.sysds.runtime.util

Methods in org.apache.sysds.runtime.util that return TensorBlock
Modifier and Type
Method
Description
`static TensorBlock`
DataConverter.`convertToTensorBlock(MatrixBlock mb, Types.ValueType vt, boolean toBasicTensor)`
`static TensorBlock`
DataConverter.`readTensorFromHDFS(String dir, Types.FileFormat fmt, long[] dims, int blen, Types.ValueType[] schema)`
Methods in org.apache.sysds.runtime.util with parameters of type TensorBlock
Modifier and Type
Method
Description
`static String`
DataConverter.`toString(TensorBlock tb)`
`static String`
DataConverter.`toString(TensorBlock tb, boolean sparse, String separator, String lineseparator, String leftBorder, String rightBorder, int rowsToPrint, int colsToPrint, int decimal)`
Returns a string representation of a tensor
`static void`
DataConverter.`writeTensorToHDFS(TensorBlock tensor, String dir, Types.FileFormat fmt, DataCharacteristics dc)`